<template>
  <div class="row justify-content-center img-bg">
    <div class="absolute row">
      <div class="col-2"></div>
      <div class="col-8 row main-contain auth-custom-contain">
        <div class="col-12 single-contain-on-border bg-white text-center overflow-main-contain">
          <div class="space-2" />
          <h1 class="t-color-red">{{title1}}</h1>
          <p class="t-color-soft-gray">
            {{dialog1}}
            <br />
            {{dialog2}}
            <br />
            {{dialog3}}
            <router-link to="/signin" class="t-color-red">{{dialog4}}</router-link>
            {{dialog5}}
          </p>
          <div class="space-1" />
          <p class="t-color-soft-gray">
            {{dialog6}}
            <router-link to class="t-color-red">{{$route.params.email}}</router-link>
          </p>
          <div class="space-1" />
          <p class="t-color-soft-gray">
            {{dialog7}}
            <a to class="t-color-red" @click="sendEmailAgain()">{{text1}}</a>
          </p>
        </div>
      </div>
    </div>
    <b-alert
      :show="dismissCountDown"
      variant="light"
      @dismissed="dismissCountDown=0"
      @dismiss-count-down="countDownChanged"
      fade
      style="position: absolute;top: 1px;width: auto;"
    >
    {{massage}}
    </b-alert>
  </div>
</template>

<script>
export default {
  mounted () {
    console.log('Component mounted.')
  },
  data () {
    return {
      title1: 'Confirm your email address',
      dialog1: 'Please check your inbox for a confirmation email.',
      dialog2: 'Check the link in email to confirm your email address.',
      dialog3: 'After you verify, return to',
      dialog4: 'signin page',
      dialog5: 'to continue.',
      dialog6: 'Your email is',
      dialog7: "Didn't receive the email?",
      text1: 'send again',
      t: 'aaaaa<br>',
      dismissSecsWait: 2,
      dismissSecs: 5,
      dismissCountDown: 0
    }
  },
  methods: {
    sendEmailAgain () {
      this.showAlertWait()
      this.axios
        .post('/api/sendMailConfirmationAgain/' + this.$route.params.email)
        .then(response => {
          console.log(response)
          this.showAlertEmail()
        })
        .catch(error => {
          console.log(error)
        })
    },
    countDownChanged (dismissCountDown) {
      this.dismissCountDown = dismissCountDown
    },
    showAlertEmail () {
      this.massage = ''
      this.massage = 'Your validetion email was send to ' + this.$route.params.email + ' again'
      this.dismissCountDown = this.dismissSecs
    },
    showAlertWait () {
      this.massage = ''
      this.massage = 'Please wait a minute'
      this.dismissCountDown = this.dismissSecsWait
    }
  }
}
</script>
